# Use Daemonset on all nodes with edge role
# Cant use node-role.kubernetes.io/edge because of https://github.com/kubernetes/kubernetes/issues/75457
apiVersion: helm.cattle.io/v1
kind: HelmChartConfig
metadata:
  name: rke2-ingress-nginx
  namespace: kube-system
spec:
  valuesContent: |-
    controller:
      kind: DaemonSet
      nodeSelector:
        node-role/edge: "true"
      containerPort:
        http: 80
        https: 443
    tcp:
      8000: "default/svc1:8000"
      8001: "default/svc2:8000"
